org.apache.ignite.internal.processors.igfs

## Class IgfsPathsCreateResult

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsPathsCreateResult

    public class IgfsPathsCreateResult
    extends Object

IGFS paths create result.

### Constructor Summary

Constructors
Constructor and Description
`IgfsPathsCreateResult(List<IgfsPath> paths, IgfsEntryInfo info)` Constructor.

### Method Summary

Methods
`List<IgfsPath>` `createdPaths()`
`IgfsEntryInfo` `info()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsPathsCreateResult

    public IgfsPathsCreateResult(List<IgfsPath> paths,
                         IgfsEntryInfo info)

Constructor.

Parameters:
  `paths` - Created paths.
  `info` - Info of the last created file.

### Method Detail

#### createdPaths

    public List<IgfsPath> createdPaths()

Returns:
  Created paths.

#### info

    public IgfsEntryInfo info()

Returns:
  Info of the last created file.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017